outbound-config
Configure Outbound Calling
Configure outbound calling for an agent.
This allows you to:
- Set multiple outbound phone numbers (caller IDs)
- Define calling schedules with time windows
- Set daily call limits
- Configure timezone-aware calling hours
- Set concurrent call limits
============================================
QUOTA ENFORCEMENT
============================================
POST
/
outbound
/
agents
/
{agent_id}
/
outbound-config
Configure Outbound Calling
curl --request POST \
--url https://api.example.com/outbound/agents/{agent_id}/outbound-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_numbers": [
{
"phone_number": "<string>",
"display_name": "<string>",
"is_default": false,
"enabled": true,
"daily_limit": 5000,
"metadata": {}
}
],
"schedules": [
{
"name": "<string>",
"time_windows": [
{
"start_time": "<string>",
"end_time": "<string>",
"days_of_week": [
123
],
"timezone": "UTC"
}
],
"enabled": true,
"max_concurrent_calls": 1,
"call_interval_seconds": 0,
"respect_dnc": true,
"respect_timezone": true
}
],
"default_schedule_id": "<string>"
}
'import requests
url = "https://api.example.com/outbound/agents/{agent_id}/outbound-config"
payload = {
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_numbers": [
{
"phone_number": "<string>",
"display_name": "<string>",
"is_default": False,
"enabled": True,
"daily_limit": 5000,
"metadata": {}
}
],
"schedules": [
{
"name": "<string>",
"time_windows": [
{
"start_time": "<string>",
"end_time": "<string>",
"days_of_week": [123],
"timezone": "UTC"
}
],
"enabled": True,
"max_concurrent_calls": 1,
"call_interval_seconds": 0,
"respect_dnc": True,
"respect_timezone": True
}
],
"default_schedule_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
phone_numbers: [
{
phone_number: '<string>',
display_name: '<string>',
is_default: false,
enabled: true,
daily_limit: 5000,
metadata: {}
}
],
schedules: [
{
name: '<string>',
time_windows: [
{
start_time: '<string>',
end_time: '<string>',
days_of_week: [123],
timezone: 'UTC'
}
],
enabled: true,
max_concurrent_calls: 1,
call_interval_seconds: 0,
respect_dnc: true,
respect_timezone: true
}
],
default_schedule_id: '<string>'
})
};
fetch('https://api.example.com/outbound/agents/{agent_id}/outbound-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_id": "<string>",
"phone_numbers": [
{
"phone_number": "<string>",
"display_name": "<string>",
"is_default": false,
"enabled": true,
"daily_limit": 5000,
"metadata": {}
}
],
"schedules": [
{}
],
"default_schedule_id": "<string>",
"total_calls_today": 123,
"calls_remaining_today": 123,
"can_call_now": true,
"next_available_time": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful Response
Outbound configuration response.
Show child attributes
Show child attributes
Previous
Check Can CallCheck if agent can make an outbound call right now.
This checks:
- Current time against calling schedules
- Daily call limits
- Concurrent call limits
- Do Not Call lists (if enabled)
- Recipient timezone (if enabled)
Next
⌘I
Configure Outbound Calling
